<?php
if(!defined('IN_MYBB')) {
    die('This file cannot be accessed directly.');
}

$plugins->add_hook("admin_style_menu", "darkrevolution_admin_nav");
$plugins->add_hook("admin_style_action_handler", "darkrevolution_action_handler");
$plugins->add_hook("global_start", "darkrevolution_globalvars");

function darkrevolution_info() {
    return array(
        "name"				=> "Dark Revolution Theme Plugin",
        "description"		=> "Plugin for the Dark Revolution Theme.",
        "website"			=> "http://www.360elites.net",
        "author"			=> "euantor",
        "authorsite"		=> "http://forrst.me/euantor",
        "version"			=> "1.0"
    );
}

function darkrevolution_activate() {
	global $db, $mybb;

	$db->query("INSERT INTO `".TABLE_PREFIX."settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`, `isdefault`) VALUES (NULL, 'DarkRevolutionThead', 'DarkRevolutionThead', 'Dark Revolution Thead Colour', 'text', '#3A5E7B', '0', '0', '0'), (NULL, 'DarkRevolutionSEODescription', 'DarkRevolutionSEODescription', 'Dark Revolution SEO Description', 'text', '', '0', '0', '0'), (NULL, 'DarkRevolutionBanner', 'DarkRevolutionBanner', 'Dark Revolution Banner URL', 'text', 'images/darkrev/header_bg.png', '0', '0', '0'), (NULL, 'DarkRevolutionGAnalytics', 'DarkRevolutionGAnalyics', 'Dark Revolution Gogole Analytics Code', 'text', '', '0', '0', '0');");

	$db->query("CREATE TABLE `".TABLE_PREFIX."navlinks` (`lid` SMALLINT(5) NOT NULL AUTO_INCREMENT PRIMARY KEY, `lname` VARCHAR(120) NOT NULL , `lhref` VARCHAR(200) NOT NULL , `ldisporder` SMALLINT(5));");

	$db->query("INSERT INTO `".TABLE_PREFIX."navlinks` (`lid`, `lname`, `lhref`, `ldisporder`) VALUES (NULL, 'Home', 'portal.php', 0), (NULL, 'Forum', 'index.php', 1), (NULL, 'What\'s New?', 'search.php?action=getnew', 2), (NULL, 'Member List', 'memberlist.php', 3);");

	//flash_message("Dark Revolution Control Panel Installed!", "success");
	//admin_redirect("index.php?module=style-darkrevolution");
}

function darkrevolution_deactivate() {
	global $db;

	$db->query("DELETE FROM `".TABLE_PREFIX."settings` WHERE `name` = 'DarkRevolutionThead' OR `name` = 'DarkRevolutionSEODescription' OR `name` = 'DarkRevolutionBanner' OR `name` = 'DarkRevolutionGAnalytics'");
	$db->query("DROP TABLE `".TABLE_PREFIX."navlinks`");
}

function darkrevolution_action_handler(&$action)
{
	$action['darkrevolution'] = array('active' => 'darkrevolution', 'file' => 'darkrevolution.php');
}

function darkrevolution_admin_nav(&$sub_menu)
{
	global $mybb;
	
		end($sub_menu);
		$key = (key($sub_menu))+10;
		if(!$key)
		{
			$key = '30';
		}
		$sub_menu[$key] = array('id' => 'darkrevolution', 'title' => "Dark Revolution", 'link' => "index.php?module=style-darkrevolution");
}


function darkrevolution_globalvars() {
global $mybb, $db, $darkrevolutioncss, $darkrevmeta, $darkrevdesc, $darkrevpanelavatar, $darkrevnavigation, $darkrevganalytics;

$query = $db->query("SELECT value FROM ".TABLE_PREFIX."settings WHERE name LIKE 'DarkRevolution%' ORDER BY `sid` ASC LIMIT 0, 4;");

$count = 0;

while($result = $db->fetch_array($query))
{
	//print_r($result);
   $output[$count] = $result['value'];
   $count = $count + 1;
}

$darkrevolutioncss = '<style type="text/css">'."\n".'.thead, .tfoot, input.button, .pagination_next, .pagination_previous, .pagination a:hover, .pagination .pagination_current, .psbitbtton_small:hover, .psbitbtton_big:hover, .ajax_mark_read {'."\n".'background-color: '.$output[0].';'."\n".'}'."\n".'.header {'."\n".'background-image: url('.$output[2].');'."\n".'}'."\n".'</style>';

$darkrevmeta = '<meta name="description" content="'.$output[1].'" />';
$darkrevdesc = $output[1];

$darkrevganalytics = $output[3];

if ($mybb->user['avatar'] != "") {
	$darkrevpanelavatar = "<img src=\"".$mybb->user['avatar']."\" alt=\"Avatar\" width=\"64\" height=\"64\" />";
}
else {
	$darkrevpanelavatar = "<img src=\"".$mybb->settings['bburl']."/images/darkrev/default_avatar.gif\" alt=\"Avatar\" width=\"64\" height=\"64\" />";
}

$query = $db->query("SELECT * FROM ".TABLE_PREFIX."navlinks ORDER BY ABS(ldisporder)LIMIT 0, 10;");

$darkrevnavigation = "<ul>";
while($row = $db->fetch_array($query))
{
	$darkrevnavigation .= '<li><a href="'.$row['lhref'].'">'.$row['lname'].'</a></li>';
}
$darkrevnavigation .= "</ul>";

}
?>